---
Name: net/interface-config
Description: "Address and advanced routing management for local interfaces"
Documentation: |
  This parameter defines how nics created by the
  network/interface-topology param should have their addressing and
  routing configured.  It consists of an object whose keys are netplan
  IDs and whose values are objects containing values listed in
  <https://netplan.io/reference#common-properties-for-all-device-types>.

  Any netplan IDs listed here that are not present in
  network/interface-topology will be treated like they refer to
  ethernet devices with the same name as the netplan id.

  The default value of this parameter is:

    ```yaml
    bootif:
      dhcp4: true
    ```

  which specifies that we should write out a configuration that has the
  interface we booted from configure itself using DHCPv4.

  When the network configuration on a machine is generated using the
  `drpcli net generate` command, the configuration for the netplan IDs
  are merged with the coresponding netplan IDs in the
  net/interface-topology param, with any extra IDs being added as-is to the
  `ethernets` section of that param.  Note that a netplan ID is not necessarily
  the same thing as a device name, nor does it have to uniquely map to a single
  device.  For example, if we have a `net/interface-topology` of

    ```yaml
    network:
      version: 2
      ethernets:
        onboards:
          match:
            name: onboard:*
    ```

  we can have all of them use DHCP4 and 6 to get their addresses like so:

    ```yaml
    onboards:
      dhcp4: true
      dhcp6: true
    ```

Schema:
  type: object
  default:
    bootif:
      dhcp4: true
Meta:
  type: "value"
  icon: "chip"
  clipboard: "true"
